Fixes for proxies to work behind istio-proxies
Issue-ID: NONRTRIC-728
Signed-off-by: BjornMagnussonXA <bjorn.magnusson@est.tech>
Change-Id: I16e61111013bf60f1554bcfc7fb6d71eb7c9f44e
diff --git a/test/common/kubeproxy_api_functions.sh b/test/common/kubeproxy_api_functions.sh
index 6448185..120fbb6 100644
--- a/test/common/kubeproxy_api_functions.sh
+++ b/test/common/kubeproxy_api_functions.sh
@@ -378,3 +378,18 @@
}
+# Turn on debug logging in kubeproxy
+# args: -
+# (Function for test scripts)
+set_kubeproxy_debug() {
+ echo -e $BOLD"Setting kubeproxy debug logging"$EBOLD
+ curlString="$KUBE_PROXY_WEB_PATH/debug -X PUT"
+ result=$(__do_curl_no_proxy "$curlString")
+ if [ $? -ne 0 ]; then
+ __print_err "could not set debug logging" $@
+ ((RES_CONF_FAIL++))
+ return 1
+ fi
+ echo ""
+ return 0
+}